- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::SDF::PDFTronCustomSecurityHandler Class Reference

`#include <PDFTronCustomSecurityHandler.h>`

Inheritance diagram for pdftron::SDF::PDFTronCustomSecurityHandler:

## Public Member Functions
| PDFTronCustomSecurityHandler (UInt32 custom_id)
Public Member Functions inherited from pdftron::SDF::SecurityHandler
bool | GetPermission (Permission p)
int | GetKeyLength () const
int | GetEncryptionAlgorithmID () const
const char * | GetHandlerDocName () const
bool | IsModified () const
bool | IsValid () const
void | SetModified (bool is_modified=true)
| SecurityHandler (AlgorithmType crypt_type)
| SecurityHandler (const char *name, int key_len, int enc_code)
| SecurityHandler ()
| SecurityHandler (const SecurityHandler &s)
SecurityHandler & | operator= (const SecurityHandler &)
virtual | ~SecurityHandler ()
void | ChangeUserPasswordASCII (const char *password)
void | ChangeUserPassword (const char *password, size_t pwd_length)
void | ChangeUserPassword (const pdftron::UString &password)
void | ChangeUserPassword (const std::vector< pdftron::UInt8 > &password_buf)
const char * | GetUserPassword ()
size_t | GetUserPasswordSize () const
void | ChangeMasterPasswordASCII (const char *password)
void | ChangeMasterPassword (const char *password, size_t pwd_length)
void | ChangeMasterPassword (const pdftron::UString &password)
void | ChangeMasterPassword (const std::vector< pdftron::UInt8 > &password_buf)
const char * | GetMasterPassword ()
size_t | GetMasterPasswordSize () const
void | SetPermission (Permission perm, bool value)
void | ChangeRevisionNumber (int rev_num)
void | SetEncryptMetadata (bool encrypt_metadata)
int | GetRevisionNumber ()
bool | IsUserPasswordRequired ()
bool | IsMasterPasswordRequired ()
bool | IsAES () const
bool | IsAES (Obj stream) const
bool | IsRC4 () const
| operator bool ()
virtual void | AuthorizeFailed ()
virtual bool | Authorize (Permission p)
virtual bool | GetAuthorizationData (Permission req_opr)
virtual bool | EditSecurityData (SDFDoc &doc)
virtual Obj | FillEncryptDict (class SDFDoc &doc)
virtual SecurityHandler * | Clone (TRN_SecurityHandler base) const
void | InitPasswordASCII (const char *password)
void | InitPassword (const char *password, size_t pwd_length)
void | InitPassword (const pdftron::UString &password)
void | InitPassword (const std::vector< pdftron::UInt8 > &password_buf)
void | SetDerived (UInt32 overloaded_funct)
SecurityHandler * | GetDerived () const

## Additional Inherited Members
Public Types inherited from pdftron::SDF::SecurityHandler
enum | Permission { e_owner = 1, e_doc_open, e_doc_modify, e_print, e_print_high, e_extract_content, e_mod_annot, e_fill_forms, e_access_support, e_assemble_doc }
enum | AlgorithmType { e_RC4_40 = 1, e_RC4_128, e_AES, e_AES_256 }
enum | OverloadedFunction { has_CloneProc = 0x01, has_AuthProc = 0x02, has_AuthFailedProc = 0x04, has_GetAuthDataProc = 0x08, has_EditSecurDataProc = 0x10, has_FillEncDictProc = 0x20 }

## Detailed Description

This class represents PDFTron Custom Security handler that applies PDFTron's custom encryption method on save.

Definition at line 17 of file PDFTronCustomSecurityHandler.h.

## Constructor & Destructor Documentation

pdftron::SDF::PDFTronCustomSecurityHandler::PDFTronCustomSecurityHandler | ( | UInt32 | custom_id | ) |

constructor

Parameters

  custom_id | the user's custom ID. A random ID is suggested to make the custom security unique to the application.

Note
  Please refer to PDFNet::AddPDFTronCustomHandler(UInt32 custom_id) for more details.

The documentation for this class was generated from the following file:

- SDF/PDFTronCustomSecurityHandler.h